// Base3DObject.cpp

#include "Base3DObject.h"

Base3DObject::Base3DObject(bool ODEObject, dReal posx, dReal posy, dReal posz)
{
	position.x = posx;
	position.y = posy;
	position.z = posz;
	//orientation.x  = 0;
	//orientation.y  = 0;
	//orientation.z  = 0;

	isODEObject = ODEObject;
}

Base3DObject::~Base3DObject()
{
}

void Base3DObject::SetPosition(point3d newposition)
{
	//re-implement this in derived classes
}

point3d Base3DObject::GetPosition()
{
	//re-implement this in derived classes
	return position;
}

void Base3DObject::SetOrientation(int axis, dReal angle)
{
	//re-implement this in derived classes
}

//point3d Base3DObject::GetOrientation()
//{
//	//re-implement this in derived classes
//	return orientation;
//}

void Base3DObject::Draw()
{
	//re-implement this in derived classes

	//do nothing -> no visual representation
}

bool Base3DObject::IsODEObject()
{
	return isODEObject;
}

